## ros-lunar-pacmod-msgs 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pacmod_msgs)

## Add support for C++11, supported in ROS Kinetic and newer
# add_definitions(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  std_msgs
  message_generation
)

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  AccelAuxRpt.msg
  AllSystemStatuses.msg
  BrakeAuxRpt.msg
  ComponentRpt.msg
  DateTimeRpt.msg
  DetectedObjectRpt.msg
  DoorRpt.msg
  GlobalRpt.msg
  HeadlightAuxRpt.msg
  InteriorLightsRpt.msg
  KeyValuePair.msg
  LatLonHeadingRpt.msg
  MotorRpt1.msg
  MotorRpt2.msg
  MotorRpt3.msg
  OccupancyRpt.msg
  PacmodCmd.msg
  ParkingBrakeStatusRpt.msg
  PositionWithSpeed.msg
  RearLightsRpt.msg
  ShiftAuxRpt.msg
  SteerAuxRpt.msg
  SteeringPIDRpt1.msg
  SteeringPIDRpt2.msg
  SteeringPIDRpt3.msg
  SteeringPIDRpt4.msg
  SteerSystemCmd.msg
  SystemCmdBool.msg
  SystemCmdFloat.msg
  SystemCmdInt.msg
  SystemRptBool.msg
  SystemRptFloat.msg
  SystemRptInt.msg
  TurnAuxRpt.msg
  VehicleSpecificRpt1.msg
  VehicleDynamicsRpt.msg
  VehicleSpeedRpt.msg
  VinRpt.msg
  WheelSpeedRpt.msg
  WiperAuxRpt.msg
  YawRateRpt.msg
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(CATKIN_DEPENDS
  std_msgs
)

=== debian/changelog ===
ros-lunar-pacmod-msgs (2.3.1-0xenial) xenial; urgency=high

  * Merge pull request #31 <https://github.com/astuff/astuff_sensor_msgs/issues/31> from astuff/maint/add_urls
  * Adding URLs to package.xml files.
  * Contributors: Daniel-Stanek, Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 07 Dec 2018 06:00:00 -0000

ros-lunar-pacmod-msgs (2.3.0-0xenial) xenial; urgency=high

  * PACMod: Add COMPONENT_RPT and CLEAR_FAULTS flag. (#28 <https://github.com/astuff/astuff_sensor_msgs/issues/28>)
  * Merge pull request #27 <https://github.com/astuff/astuff_sensor_msgs/issues/27> from astuff/fix/turn_signal_values
  * PACMod: Making message def. match DBC.
  * Contributors: Joshua Whitley, Zach Oakes

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 04 Oct 2018 05:00:00 -0000

ros-lunar-pacmod-msgs (2.2.2-0xenial) xenial; urgency=high

  * Merge pull request #24 <https://github.com/astuff/astuff_sensor_msgs/issues/24> from astuff/maint/add_none_shift_cmd
  * PACMod: Removing unused report values.
  * MKZ: Adding NONE value to shift states.
  * Contributors: Joshua Whitley, driscoll85

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 30 Aug 2018 05:00:00 -0000

ros-lunar-pacmod-msgs (2.2.1-0xenial) xenial; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Wed, 08 Aug 2018 05:00:00 -0000

ros-lunar-pacmod-msgs (2.1.0-0xenial) xenial; urgency=high

  * Fixed typo in message definition for turn.
  * Added additional fault reporting to GlobalRpt.
  * Adding lots of enum values to SystemRptInt.
  * Adding more fault reporting to PACMod reports.
  * Added new messages to pacmod_msgs
  * Added clear_override flag to SteerSystemCmd.
  * Adding clear_override flag.
  * Adding specialized message for steering control.
  * Adding missing headers and new fields for invidual system control.
  * Updating package.xml to format 2.
  * Adding pacmod_msgs/VinRpt.
  * Standardizing package.xml files.
  * Change steering pid3 report
  * Initial commit.
  * Contributors: Daniel Stanek, Joe Driscoll, Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Mon, 14 May 2018 05:00:00 -0000

=== debian/control ===
Source: ros-lunar-pacmod-msgs
Section: misc
Priority: extra
Maintainer: AutonomouStuff Software Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-message-generation, ros-lunar-std-msgs
Homepage: http://wiki.ros.org/pacmod_msgs
Standards-Version: 3.9.2

Package: ros-lunar-pacmod-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-message-runtime, ros-lunar-std-msgs
Description: Message definition files for the PACMod driver

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-pacmod-msgs//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
